﻿@using SSCMvc.Models;
@using SSCMvc.Webutil;
@*@model IEnumerable<sscmvc.models.tb_mocktest>*@
@model IEnumerable<SSCMvc.Models.Tb_MockTestHelper>
@{
    ViewBag.Title = "Mock Test List";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    @*<script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
        <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
        <link href="@Url.Content("Content/DT_bootstrap.css")" rel="stylesheet" type="text/css" />*@
  
    <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
    <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />
    <script type="text/javascript">
        $(document).ready(function () {
            var lastIdx = null;
            var table = $('#example').DataTable({
                "pageLength": 100
            });

            $('#example tbody')
                .on('mouseover', 'td', function () {
                    var colIdx = table.cell(this).index().column;

                    if (colIdx !== lastIdx) {
                        $(table.cells().nodes()).removeClass('highlight');
                        $(table.column(colIdx).nodes()).addClass('highlight');
                    }
                })
                .on('mouseleave', function () {
                    $(table.cells().nodes()).removeClass('highlight');
                });
        });
    </script>



    <script src="~/Scripts/HighestQuali.js"></script>

    <style type="text/css">
        div.box div.overlay { display: none; }
        span:hover { color: orangered !important; font-weight: 700; }

        span { color: #369ECE !important; }
    </style>



    <script type="text/javascript">
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                            , function () {
                                $(this).find(".overlay").fadeOut();
                            }
                           );
        });



        deleterecord("Tb_MockTest");

        $("#txtfdate").datepicker();
        $("#txttdate").datepicker();

        $("#category").css('width', '80px');

        $("#ieltsscore").css('width', '120px');
        $("#EnqStatus").css('width', '120px');
        function Search() {
            //            var rollno = $("#txtroll").val();
            //var sttype = $("#txtstudenttype").val();
            var sname = $("#txtSName").val();
            var fdate = $("#txtfdate").val();
            var tdate = $("#txttdate").val();
            var roll = $("#txtRollNo").val();
            var ieltsscore = $("#ieltsscore").val();
            var Course = $("#CourseType").val();
            var category = $("#category").val();
            var EnqStatus = $("#EnqStatus").val();

            if (ieltsscore == 'All') {

                window.location.href = "/Tb_MockTest/Index?sname=" + sname + "&fdt=" + fdate + "&tdt=" + tdate + "&roll=" + roll + "&category=" + category + "&EnqStatus=" + EnqStatus + "&Course=" + Course;
            }
                //            else if (category == '%') {

                //                window.location.href = "/Tb_MockTest/Index?sname=" + sname + "&fdt=" + fdate + "&tdt=" + tdate + "&roll=" + roll + "&category=" + category + "&EnqStatus=" + EnqStatus;
                //            }
            else {

                window.location.href = "/Tb_MockTest/Index?sname=" + sname + "&fdt=" + fdate + "&tdt=" + tdate + "&roll=" + roll + "&score=" + ieltsscore + "&category=" + category + "&Course=" + Course;
            }
        }

        function GetReport(vel) {
            //            var rollno = $("#txtroll").val();
            //var sttype = $("#txtstudenttype").val();
            var sname = $("#txtSName").val();
            var fdate = $("#txtfdate").val();
            var tdate = $("#txttdate").val();
            var roll = $("#txtRollNo").val();
            var ieltsscore = $("#ieltsscore").val();
            var Course = $("#CourseType").val();
            var category = $("#category").val();
            var EnqStatus = $("#EnqStatus").val();

            if (ieltsscore == 'All') {

                window.location.href = "/Tb_MockTest/PrintMockReport?sname=" + sname + "&fdt=" + fdate + "&tdt=" + tdate + "&roll=" + roll + "&category=" + category + "&EnqStatus=" + EnqStatus + "&Course=" + Course + "&Format=" + vel;
            }
            else {
                window.location.href = "/Tb_MockTest/PrintMockReport?sname=" + sname + "&fdt=" + fdate + "&tdt=" + tdate + "&roll=" + roll + "&score=" + ieltsscore + "&category=" + category + "&Course=" + Course + "&Format=" + vel;
            }
        }
        $(document).ready(function () {

            $("#tc").text($("#countrows").val());
            $("#ieltsscore").val($("#hiddenieltsscore").val());
            $("#category").val($("#hiddencategory").val());
            $("#EnqStatus").val($("#hiddenEnqStatus").val());
            $("#CourseType").val($("#hiddenCourse").val());


            $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                    Search();
                }
                return true;
            });

        });

    </script>


    <script type="text/javascript">

        $("#pagng").css('width', '80px');

        $("#txtpageno").css('width', '100px');

        $(function () {
            $(".table").tablesorter({ widthFixed: true })
             .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });

            var val = $(".pagesize option:selected").val();

            //alert(val);
        });
    </script>
}
@{ SSCWebDBEntities1 db = new SSCWebDBEntities1();
    CommonUtil cmutil = new CommonUtil();

}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Mock Test List
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <table align="center" width="96%">
            <tr>
                <td align="left">
                    IELTS / PTE SCORE
                </td>
                <td align="left">
                    Course Type
                </td>
                <td align="left">
                    Roll No
                </td>
                <td align="left">
                    Name
                </td>
                <td align="left">
                    Category
                </td>
                <td align="left">
                    Enq. Status
                </td>
                <td align="left">
                    From Date
                </td>
                <td align="left">
                    To Date
                </td>
                <td align="left"></td>
            </tr>
            <tr>
                <td align="left">
                    <select id="ieltsscore">
                        <option value="All">All</option>
                        <option value="5.5">5.5</option>
                    </select>
                    <input type="hidden" value="@ViewBag.ieltsscore" id="hiddenieltsscore" />
                </td>

                <td align="left">
                    <select id="CourseType" style="width:113px;">
                        <option value="All">All</option>
                        <option value="IELTS">IELTS</option>
                        <option value="PTE">PTE</option>
                    </select>
                    <input type="hidden" value="@ViewBag.Course" id="hiddenCourse" />
                </td>


                <td align="left">
                    <input type="text" id="txtRollNo" style="width:80px" value="@ViewBag.roll" />
                </td>
                <td align="left">
                    <input type="text" id="txtSName" style="width:120px" value="@ViewBag.sname" />
                </td>
                <td align="left">
                    <select id="category">
                        <option value="All">All</option>
                        <option value="AC">AC</option>
                        <option value="GT">GT</option>
                    </select>
                    <input type="hidden" value="@ViewBag.category" id="hiddencategory" />
                </td>
                <td align="left">
                    <select id="EnqStatus">
                        <option value="">All</option>
                        <option value="Open">Open</option>
                        <option value="Move To Visa">Move To Visa</option>
                        <option value="Close">Close</option>
                    </select>
                    <input type="hidden" value="@ViewBag.EnqStatus" id="hiddenEnqStatus" />
                </td>
                <td align="left">
                    <input type="date" id="txtfdate" style="width:100px" value="@ViewBag.fdt" />
                </td>
                <td align="left">
                    <input type="date" id="txttdate" style="width:100px" value="@ViewBag.tdt" />
                </td>

            </tr>
            <tr>
                <td align="left" valign="top">
                    <input type="button" id="btnSearch" value="Search" class="btn btn-primary" onclick="Search();" />
                </td>
                <td align="left" valign="top">
                    <div class="dropdown">
                        <button class="btn btn-primary dropdown-toggle" type="button" data-toggle="dropdown" style="width:114px">
                            Get Report
                            <span class="caret"></span>
                        </button>
                        <ul class="dropdown-menu">
                            <li><a href="#" onclick="GetReport('PDF')">PDF</a></li>
                            <li><a href="#" onclick="GetReport('Excel')">Excel</a></li>

                        </ul>
                    </div>
                    @*<input type="button" id="btnReport" value="Get Report" class="btn btn-primary" onclick="GetReport();" />*@
                </td>
            </tr>
        </table>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="5%">
                        @Html.ActionLink("Create New", "Create")
                    </td>
                    <td align="left" width="5%">
                        @Html.ActionLink("Import Score", "ImportScore")
                    </td>
                    <td align="right" width="25%">
                        Total:<span id="tc"></span>
                    </td>
                </tr>
            </table>
        </p>
        <div class="table-responsive">
            <div class="well" style="width:98%;overflow-x:scroll">
                <table class="table table-striped" id="example">
                    <thead>
                        <tr>
                            <td width="90px"></td>
                            <th>
                                Roll No
                            </th>
                            <th>
                                Name
                            </th>
                            <th>
                                Phone<br />
                                No.
                            </th>
                            <th>
                                Catg.
                            </th>
                            <th>
                                Mock Test Date
                            </th>
                            <th>
                                Overall Score
                            </th>
                            <th>
                                Next FollowUp<br />
                                Date
                            </th>

                            <th>
                                Course <br />
                                Timing
                            </th>
                            <th>
                                Follow Up<br />
                                Remarks
                            </th>
                            <th>
                                Enq. Status
                            </th>
                            <th>
                                IELTS / PTE<br />
                                Test Date
                            </th>
                            <th>
                                Left <br />
                                Student
                            </th>
                            <th>
                                First <br /> Followuped by
                            </th>

                        </tr>
                    </thead>
                    <tbody>
                        @{int i = 0;

                            var myitem = Model.OrderBy(z => z.NextfollwDate);
                        }
                        @foreach (var item in myitem)
                        {
                            if (item != null)
                            {

                                try
                                {

                                    i++;
                                    <tr>
                                        <td>
                                            @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
                                            @{

                                                int roleid = StaticLogic.RoleId();
                                                if (Permission.CheckPermission(roleid, CommonUtil.MockTest, UserAction.Delete) == true)

                                                {
                                                    @Html.ImageActionLink("../../Content/themes/base/images/delete.png", "Delete", "Delete", "Tb_MockTest", new { id = item.Id }, new { @class = "delete-link" }, null)
                                                }

                                            }
                                            @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })

                                            @{

                                                if (db.Tb_IELTSResult.Where(m => m.StudentId == item.StudentId).Where(m => m.StudentType == "Admission").Count() > 0)
                                                {
                                                    @Html.ActionLink("IeltsDt", "Index", "Tb_IeltsResult", new { @studentid = item.StudentId }, new { @target = "_blank", @title = "See Ielts Test Detail For This Student" })
                                                } }
                                            |

                                            <a href="/MaAdmission/_searchadmiss?rollno=@item.Rollno" title="Go to prosp. student" target="_blank">
                                                <i class="icon-circle-arrow-right"></i>
                                            </a>
                                            <a href="/MaEnquiry/Details/?id=@cmutil.GetEnqId(item.StudentId)" data-toggle="tooltip" title="Go to Enquiry" target="_blank"><img src="../../Content/themes/base/images/enquiry.png" /></a>
                                        </td>
                                        <td>
                                            @item.Rollno
                                        </td>
                                        <td>
                                            <span onmouseover="showdetail(@cmutil.GetEnqId(item.StudentId))" onmouseout="hidedetail();">  @Html.DisplayFor(modelItem => item.Name) </span>
                                        </td>
                                        <td>
                                            @item.Phoneno
                                        </td>
                                        <td>
                                            @item.Categ
                                        </td>
                                        <td>
                                            @{
                                                var mocktstdate = string.Format("{0:MMM-dd-yyyy}", item.Mocktestdate);

                                            }
                                            @mocktstdate
                                        </td>
                                        <td>
                                            <a href="#" onclick="showmarks(@item.StudentId);">@item.Overallscore</a>
                                        </td>
                                        <td>
                                            @{

                                                var nxtfolldate = string.Format("{0:MMM-dd-yyyy}", item.NextfollwDate);

                                            }
                                            @nxtfolldate
                                        </td>

                                        <td>
                                            @item.TimeId
                                        </td>
                                        <td>


                                            @{
                                                string rem = item.FollowRemarks;
                                                if (rem != null)
                                                {
                                                    if (rem.Length > 20)
                                                    {
                                                        string sustrg = rem.Substring(0, 20);
                                                        @sustrg
                                                        <br />
                                                        @*<a id="remarks" onclick="GetRemarks(@item.Id);">Read-More...</a>*@
                                                        <div class="box">
                                                            <a id="remarks">Read-More...</a>
                                                            <div class="overlay">
                                                                @rem
                                                            </div>
                                                        </div>
                                                    }
                                                    else
                                                    {
                                                        @rem
                                                    }
                                                }
                                            }
                                        </td>
                                        <td>
                                            @item.EnqStatus
                                        </td>
                                        <td>
                                            @{
                                                var ieltsdate = string.Format("{0:MMM-dd-yyyy}", item.IeltsTestDate);

                                            }
                                            @ieltsdate
                                        </td>
                                        <td>
                                            @item.IsLeft
                                        </td>
                                        <td>
                                            @{
                                                string Counsel = db.Users.Where(x => x.Id == item.Followupby).Select(x => x.Fullname).FirstOrDefault();
                                            }
                                            @Counsel
                                        </td>

                                    </tr>
                                                        }
                                                        catch (Exception ex)
                                                        {

                                                        }
                                                    }


                                                }
                    </tbody>
                </table>
              
                <input type="hidden" value="@i" id="countrows" />
            </div>
        </div>

      
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
        
    </div>
</div>
<div class="modal fade" id="markspopup" tabindex="-1" style="width:900px" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                Marks
            </div>
            <div class="modal-body" id="mbody">

            </div>
            <div class="modal-footer">


                <input type="hidden" id="sid" name="sid" />
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>

            </div>

        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>

<script>

    function showmarks(stuid) {

        $.ajax({
            url: '/Tb_mocktest/AllTestofStudent/',
            type: 'POST',
            data: {id:stuid},
            dataType: "html",
            success: function (grid) {
                $("#mbody").html(grid);
                $("#markspopup").modal('show');
            }
        });
    }

</script>